public static interface LanguageEndpointBuilderFactory.LanguageBuilders
| Modifier and Type | Method and Description |
|---|---|
default LanguageEndpointBuilderFactory.LanguageEndpointBuilder |
language(String path)
Language (camel-language)
Execute scripts in any of the languages supported by Camel.
|
default LanguageEndpointBuilderFactory.LanguageEndpointBuilder |
language(String componentName,
String path)
Language (camel-language)
Execute scripts in any of the languages supported by Camel.
|
default LanguageEndpointBuilderFactory.LanguageEndpointBuilder language(String path)
language:languageName:resourceUri
Path parameter: languageName (required)
Sets the name of the language to use
There are 20 enums and the value can be one of: bean, constant,
exchangeProperty, file, groovy, header, javascript, jsonpath, mvel,
ognl, , ref, simple, spel, sql, terser, tokenize, xpath, xquery,
xtokenize
Path parameter: resourceUri
Path to the resource, or a reference to lookup a bean in the Registry
to use as the resourcepath - languageName:resourceUridefault LanguageEndpointBuilderFactory.LanguageEndpointBuilder language(String componentName, String path)
language:languageName:resourceUri
Path parameter: languageName (required)
Sets the name of the language to use
There are 20 enums and the value can be one of: bean, constant,
exchangeProperty, file, groovy, header, javascript, jsonpath, mvel,
ognl, , ref, simple, spel, sql, terser, tokenize, xpath, xquery,
xtokenize
Path parameter: resourceUri
Path to the resource, or a reference to lookup a bean in the Registry
to use as the resourcecomponentName - to use a custom component name for the endpoint
instead of the default namepath - languageName:resourceUriApache Camel